Bug 159409 - [JSC] Object.getOwnPropertyDescriptors should not add undefined props to result
Summary: [JSC] Object.getOwnPropertyDescriptors should not add undefined props to result
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-04 09:58 PDT by Caitlin Potter (:caitp)
Modified: 2016-07-26 16:37 PDT (History)
8 users (show)

See Also:


Attachments
Patch (3.99 KB, patch)
2016-07-04 09:59 PDT, Caitlin Potter (:caitp)
no flags Details | Formatted Diff | Diff
Patch (23.06 KB, patch)
2016-07-04 10:34 PDT, Caitlin Potter (:caitp)
no flags Details | Formatted Diff | Diff
Patch (23.06 KB, patch)
2016-07-26 15:47 PDT, Caitlin Potter (:caitp)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Caitlin Potter (:caitp) 2016-07-04 09:58:35 PDT
[JSC] Object.getOwnPropertyDescriptors should not add undefined props to result
Comment 1 Caitlin Potter (:caitp) 2016-07-04 09:59:07 PDT
Created attachment 282727 [details]
Patch
Comment 2 Caitlin Potter (:caitp) 2016-07-04 10:34:04 PDT
Created attachment 282729 [details]
Patch
Comment 3 Caitlin Potter (:caitp) 2016-07-04 10:37:16 PDT
Hi,

We're landing this change in V8 today, believing it (https://github.com/tc39/ecma262/pull/593) is likely to reach consensus at the next TC39 meeting.

It probably wouldn't hurt to land this in WebKit as well, but it's fine to wait until the spec change is decided on.

In any case, if consensus isn't reached, it's simple enough to simply revert the patch.

This patch also fixes up these tests and moves them to a more appropriate directory.
Comment 4 Saam Barati 2016-07-06 11:27:23 PDT
Let's wait until the spec change is decided.
Comment 5 Jordan Harband 2016-07-26 14:48:00 PDT
This received consensus at the July 2016 TC39 meeting; please merge at your leisure.
Comment 6 Caitlin Potter (:caitp) 2016-07-26 14:52:36 PDT
Thanks Jordan, I'll make sure this isn't bitrotten today before signing off.
Comment 7 Saam Barati 2016-07-26 14:54:39 PDT
(In reply to comment #6)
> Thanks Jordan, I'll make sure this isn't bitrotten today before signing off.

Sounds good. I'll review when you say this patch is OK or if you post a rebased version.
Comment 8 Caitlin Potter (:caitp) 2016-07-26 15:47:01 PDT
Created attachment 284648 [details]
Patch
Comment 9 Caitlin Potter (:caitp) 2016-07-26 15:48:05 PDT
(In reply to comment #7)
> (In reply to comment #6)
> > Thanks Jordan, I'll make sure this isn't bitrotten today before signing off.
> 
> Sounds good. I'll review when you say this patch is OK or if you post a
> rebased version.

I've posted a rebased version
Comment 10 Geoffrey Garen 2016-07-26 15:55:38 PDT
Comment on attachment 284648 [details]
Patch

r=me
Comment 11 WebKit Commit Bot 2016-07-26 16:07:45 PDT
Comment on attachment 284648 [details]
Patch

Clearing flags on attachment: 284648

Committed r203747: <http://trac.webkit.org/changeset/203747>
Comment 12 WebKit Commit Bot 2016-07-26 16:07:50 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Jordan Harband 2016-07-26 16:37:03 PDT
Thanks everybody!